package files

import "os"

func MkdirParent(fileLocation string) error {
	parentDir := GetParentDir(fileLocation)
	if parentDir != "" {
		parentDirCreationErr := os.MkdirAll(parentDir, os.ModeDir)

		if parentDirCreationErr != nil {
			return parentDirCreationErr
		}
	}

	return nil
}
